#!/bin/sh

# Usage:
# restore_factory_system.sh
# 
# Restores the normal system with the factory system
# by copying the factory system to the normal system's 
# partition

echo "=========================="
echo " Restoring factory system "
echo "       Please wait        "
echo "=========================="

#erase /dev/mtd/4 0 60
flash_eraseall /dev/mtd/4 
dd if=/dev/mtd/3 of=/dev/mtd/4 bs=64k
mount /dev/mtdblock/4 /mnt
extr_kernel /dev/mtd/2 /mnt/boot/uImage
umount /mnt

echo "=========================="
echo "         Finished"
echo "=========================="

